# Interface INewQueryEventArgs

Argument sent to all handlers bound on QueryEvents.newQuery

## Index

### Properties

- cancel
- searchAsYouType

## Properties

### cancel

cancel: boolean

- Defined in events/QueryEvents.ts :19

If this property is set to true by any handlers, the query will not be executed.

### searchAsYouType

searchAsYouType: boolean

- Defined in events/QueryEvents.ts :15

Whether the query is a search-as-you-type

### Hierarchy

- INewQueryEventArgs